Package Details: wyrmsun 4.1.4-1

Git Clone URL: https://aur.archlinux.org/wyrmsun.git (read-only, click to copy)
Package Base: wyrmsun
Description: Real-time strategy game based on history, mythology and fiction
Upstream URL: http://andrettin.github.io/
Keywords: game
Licenses: GPL2
Submitter: MCMic
Maintainer: bergentroll
Last Packager: bergentroll
Votes: 7
Popularity: 0.000000
First Submitted: 2016-01-08 16:47
Last Updated: 2021-03-09 07:43

Latest Comments

1 2 Next › Last »

MCMic commented on 2020-12-29 10:05

I disowned the package, I don’t play this game anymore and do not feel like maintaining it, it’s updated quite often.

You can adopt it and adapt the PKGBUILD as you see fit.

AndyMender commented on 2020-12-28 16:49

Unfortunately, wyrmsun doesn't start properly, because some Qt QML bits are incorrectly configured during the initial cmake run:

QQmlApplicationEngine failed to load component
file:///home/amender/pkgbuilds/wyrmsun/interface/Main.qml: No such file or directory
Invalid language_family instance: "celtic".

AndyMender commented on 2020-12-28 16:25

@McMic Looks like it worked!

Below patch adds oaml as a dependency, updates the package and fixes a couple of other issues:

diff --git a/PKGBUILD b/PKGBUILD
index ab79ac9..5593512 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,42 +1,38 @@
-# Mantainer: MCMic <come@chilliet.eu>
+# Maintainer: MCMic <come@chilliet.eu>

 pkgname=wyrmsun
-pkgver=3.5.4
-pkgrel=2
+pkgver=4.0.3
+pkgrel=1
 pkgdesc="Real-time strategy game based on history, mythology and fiction"
 arch=('i686' 'x86_64')
 url="http://andrettin.github.io/"
-license=('GPL' 'CC-BY-SA')
-depends=('sdl' 'tolua++' 'libvorbis')
+license=('GPL2')
+depends=('sdl' 'tolua++' 'oaml' 'qt5-multimedia' 'qt5-location' 'hicolor-icon-theme')
 makedepends=('cmake' 'boost')
 source=("wyrmsun-${pkgver}.tar.gz::https://github.com/Andrettin/Wyrmsun/archive/v${pkgver}.tar.gz" 
-        "wyrmgus-${pkgver}.tar.gz::https://github.com/Andrettin/Wyrmgus/archive/v${pkgver}.tar.gz"
-        "oaml-1.0.tar.gz::https://github.com/marcelofg55/oaml/archive/v1.0.tar.gz")
-md5sums=('c8b2b164b32ed4d9d43e86f57e20fb0a'
-         '00d18754666b67aef97c11a01300584d'
-    '97019b32af9a809d812a457a97ed1344')
+        "wyrmgus-${pkgver}.tar.gz::https://github.com/Andrettin/Wyrmgus/archive/v${pkgver}.tar.gz")
+md5sums=('65e94e4e1e32ccda59e63bdf5e65a58c'
+         '0ad2d224c8f16d56ebd82b0f5858299b')
 _name='Wyrmsun'
 _categories='Game;StrategyGame'
-
-prepare() {
-  cp -a ${srcdir}/oaml-1.0/* ${srcdir}/Wyrmgus-${pkgver}/src/oaml/
-}
+_jobs="$(nproc)"

 build() {
   cd ${srcdir}/Wyrmgus-${pkgver}
   cmake -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_USEGAMEDIR=OFF .
-  make
+  make -j"$_jobs"
   cd ${srcdir}/Wyrmsun-${pkgver}
   cmake -DCMAKE_INSTALL_PREFIX=/usr .
-  make
+  make -j"$_jobs"
 }

 package() {
-  cd ${srcdir}/
   mkdir -p ${pkgdir}/usr/bin/
   cd ${srcdir}/Wyrmgus-${pkgver}
-  make DESTDIR="$pkgdir" install
-  mv ${pkgdir}/usr/games/stratagus ${pkgdir}/usr/bin/wyrmgus
+  make DESTDIR="${pkgdir}" install
+  mv ${pkgdir}/usr/games/wyrmgus ${pkgdir}/usr/bin/wyrmgus
+  rm -rf ${pkgdir}/usr/games/
+
   cd ${srcdir}/Wyrmsun-${pkgver}
-  make DESTDIR="$pkgdir" install
+  make DESTDIR="${pkgdir}" install
 }

EDIT: The issues with /usr/games were my fault. Fixed.

AndyMender commented on 2020-12-28 15:09

A couple of things:
- The current version is 4.0.3 and upstream has aggressively pushed a number of patch releases in the last days
- I submitted oaml (version 1.3.4) to AUR: https://aur.archlinux.org/packages/oaml/

The PKGBUILD generates a shared library of liboaml, but without Unity engine support.

I'll see whether it's possible to build latest Wyrmsun against that instead of the bundled outdated oaml 1.0. If it works, I'll submit a patch to the PKGBUILD here.

GalaxyLJGD commented on 2020-09-17 23:01

I was looking for what was happening, and from what I saw it is related to CMake, for some reason it cannot find the CMake project in ${srcdir}/Wyrmgus-3.5.4/src/oaml, if you search for "OAML" in ${srcdir}/Wyrmgus-3.5.4/CMakeCache.txt you can see that all the path variables related to the library say they can't find it, and furthermore OAML is not compiled either.

This is all very strange, I compiled the game a few months ago and then uninstalled it, I even kept the current PKGBUILD and now suddenly it doesn't want to compile, it's very strange, maybe OAML needs to be updated to the latest version? Did an update to CMake change anything about how it works? I don't understand what happens.

Perhaps one of the things that could be done is to compile OAML separately as a dynamic library in its own package and see if that way Wyrmgus detects it.

PD: Sorry for my bad English.

MCMic commented on 2020-09-17 18:58

@GalaxyLJGD hum same here, no idea how to fix that…

GalaxyLJGD commented on 2020-09-16 14:41

I am having troubles compiling Wyrmsun, specifically on Wyrmgus, when the compilation reaches 97% the compilation gives the following error:

make[2]: *** No rule to make target 'src/oaml/liboaml.a', needed by 'stratagus'.  Stop.
make[1]: *** [CMakeFiles/Makefile2:97: CMakeFiles/stratagus.dir/all] Error 2
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

MCMic commented on 2020-03-04 17:14

@schard Thanks, fixed.

schard commented on 2020-03-03 14:17

depends is missing "libvorbis" and makedepends is missing "boost".

MCMic commented on 2019-02-11 23:39

Updated to 3.5.4 but it may be broken, building says the binary contains a reference to srcdir but I could not find out why.